import type { Context } from "hono";
import { generateMonthlyExpense } from "../expenses.service";

export async function generateMonthlyExpenseHandler(c: Context) {
  const id = Number(c.req.param("id"));
  const result = await generateMonthlyExpense(id);
  return c.json(result);
}
